org.eclipse.emf.cdo.server.admin

## Class CDORepositoryConfigurationManager.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.server.admin.CDORepositoryConfigurationManager.Factory

- All Implemented Interfaces:
    IFactory
  Enclosing interface:
    CDORepositoryConfigurationManager

      public abstract static class CDORepositoryConfigurationManager.Factory
      extends Factory

  Specification of the factory API for `repository configuration managers`.
  Author:
    Christian W. Damus (CEA LIST)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory(String type)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract CDORepositoryConfigurationManager` | `create(String description)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Factory

          public Factory(String type)

  - ### Method Detail

    - #### create

          public abstract CDORepositoryConfigurationManager create(String description)
                                                            throws ProductCreationException

      Throws:
        `ProductCreationException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html